Last modified: 2012-12-14 18:58:50 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 35429 - Mirrors all git repositories to GitHub
Mirrors all git repositories to GitHub
Status: VERIFIED FIXED
Product: Wikimedia
Classification: Unclassified
Git/Gerrit (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Chad H.
:
Depends on:
Blocks: 35497 22596 38196
  Show dependency treegraph
 
Reported: 2012-03-22 23:35 UTC by Sam Reed (reedy)
Modified: 2012-12-14 18:58 UTC (History)
11 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Sam Reed (reedy) 2012-03-22 23:35:16 UTC
We should setup external git clones to github/gitorious etc.

For github, it should go under https://github.com/wikimedia
Comment 1 Dan Collins 2012-03-23 02:39:02 UTC
Really? It shouldn't go under mediawiki?
Comment 2 Chad H. 2012-03-23 13:25:23 UTC
(In reply to comment #1)
> Really? It shouldn't go under mediawiki?

I agree, I think mediawiki core + extensions should be under mediawiki, not wikimedia.
Comment 3 Mark A. Hershberger 2012-03-28 19:52:04 UTC
don't see a reason for this to be "high" priority.
Comment 4 Chad H. 2012-03-29 03:14:22 UTC
Normal priority :)

It should be pretty easy--gerrit has built-in replication we can use.
Comment 5 Krinkle 2012-03-29 03:59:20 UTC
I don't know who set up the 'mediawiki' account on github but afaik 'wikimedia' is the official account. Also note that this is the account name, not the repository name.

The repository name should obviously be 'mediawiki'. I suppose we migrate what's currently at https://github.com/wikimedia to Gerrit (or nuke it if it's no longer needed).

And then mirror all public wikimedia git repo's hosted in gerrit at github (one-way push). Maybe doing str_replace( '/', '-' ) on the repo names for github.

e.g. wikimedia/mediawiki-core.git wikimedia/mediawiki-extensions-Gadgets.git
Comment 6 Chad H. 2012-05-02 19:30:03 UTC
(In reply to comment #5)
> I don't know who set up the 'mediawiki' account on github but afaik 'wikimedia'
> is the official account. Also note that this is the account name, not the
> repository name.
> 

I'm pretty sure it was Ævar. I've e-mailed him to ask.

Assigning to myself.
Comment 7 Tim Landscheidt 2012-09-12 20:39:01 UTC
(In reply to comment #4)
> Normal priority :)

> It should be pretty easy--gerrit has built-in replication we can use.

Any update on this?
Comment 8 Chad H. 2012-09-12 21:34:01 UTC
(In reply to comment #7)
> (In reply to comment #4)
> > Normal priority :)
> 
> > It should be pretty easy--gerrit has built-in replication we can use.
> 
> Any update on this?

Well, I was hoping to have started on it, but the repo corruption problems from last week and this week have taken up all my time. It's the next thing on my to-do list.

(We were also waiting until the replication.config was properly puppetized, which it is since like a week and a half ago)
Comment 9 Tim Landscheidt 2012-09-13 14:29:51 UTC
(In reply to comment #8)
> [...]
> Well, I was hoping to have started on it, but the repo corruption problems from
> last week and this week have taken up all my time. It's the next thing on my
> to-do list.
> [...]

Thanks.
Comment 10 Tim Landscheidt 2012-10-02 11:49:37 UTC
Any update on this?
Comment 11 Waldir 2012-10-02 12:16:13 UTC
(In reply to comment #10)
> Any update on this?

According to the current status at http://www.mediawiki.org/wiki/Git/Conversion/status#2012-09-monthly, WMF "will begin replication to Github in early October."
Comment 12 Chad H. 2012-10-02 21:00:16 UTC
Did the initial configuration of it today for mediawiki/core. Having some issues, which I'll finish troubleshooting tomorrow.
Comment 13 Chad H. 2012-10-03 16:29:32 UTC
Got core replication working: https://github.com/mediawiki/core

Next step: extensions!
Comment 14 Tim Landscheidt 2012-10-03 18:25:53 UTC
(In reply to comment #13)
> Got core replication working: https://github.com/mediawiki/core

> Next step: extensions!

Perfect!  Now we have a foundation GitHub users can rebase their repositories on (and see what gems they may have produced that we could pluck).
Comment 15 Antoine "hashar" Musso (WMF) 2012-12-02 17:38:50 UTC
Note that GitHub repositories are now under the `wikimedia` account. Thus MediaWiki core is at https://github.com/wikimedia/mediawiki-core

It seems like most extensions are replicated on that account too (see https://github.com/wikimedia ). I guess this bug is fixed, Chad will confirm.
Comment 16 Chad H. 2012-12-14 17:13:06 UTC
(In reply to comment #15)
> It seems like most extensions are replicated on that account too (see
> https://github.com/wikimedia ). I guess this bug is fixed, Chad will confirm.

Yeah, this is pretty much done.
Comment 17 Sam Reed (reedy) 2012-12-14 17:19:54 UTC
Changed the title to reflect GitHub.

If someone wants somewhere else (gitorious etc), they can open a new bug.
Comment 18 Chad H. 2012-12-14 17:26:29 UTC
Actually, on further thought, this is misleading. All we're currently replicating is mediawiki/* and qa/*.

No other repos have been replicated. Might need to reopen this :\
Comment 19 Krinkle 2012-12-14 18:15:56 UTC
Why aren't we blanket mirroring all public repositories?
Comment 20 Chad H. 2012-12-14 18:24:03 UTC
(In reply to comment #19)
> Why aren't we blanket mirroring all public repositories?

I was explicitly asked not to replicate some repositories.
Comment 21 Krinkle 2012-12-14 18:27:48 UTC
(In reply to comment #20)
> (In reply to comment #19)
> > Why aren't we blanket mirroring all public repositories?
> 
> I was explicitly asked not to replicate some repositories.


(In reply to comment #18)
> [..] All we're currently replicating is mediawiki/* and qa/*.
> 
> No other repos have been replicated. Might need to reopen this :\
Comment 22 Antoine "hashar" Musso (WMF) 2012-12-14 18:58:50 UTC
If any more repositories need to be replicated. Please open a new bug.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links